Bug 173398 - kernel dm: Record I/O timing statistics
kernel dm: Record I/O timing statistics
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alasdair Kergon
Brian Brock
:
Depends On: 168483
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-16 17:56 EST by Alasdair Kergon
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version: U3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-24 10:35:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alasdair Kergon 2005-11-16 17:56:14 EST
Also store time-related disk stats.

The start time is added to struct dm_io, an existing structure
allocated privately internally within dm and attached to each
incoming bio.
Comment 2 Jun'ichi Nomura (Red Hat) 2005-11-18 14:46:23 EST
Test case was posted in Comment#18 of BZ#168483.

Note You need to log in before you can comment on or make changes to this bug.